<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:dfs="http://schemas.microsoft.com/office/infopath/2003/dataFormSolution" xmlns:tns="http://schemas.microsoft.com/sqlserver/2005/06/30/reporting/reportingservices" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:my="http://schemas.microsoft.com/office/infopath/2003/myXSD/2005-10-05T19-08-57" xmlns:xd="http://schemas.microsoft.com/office/infopath/2003" version="1.0">
	<xsl:output encoding="UTF-8" method="xml"/>
	<xsl:template match="text() | *[namespace-uri()='http://www.w3.org/1999/xhtml']" mode="RichText">
		<xsl:copy-of select="."/>
	</xsl:template>
	<xsl:template match="/">
		<xsl:copy-of select="processing-instruction() | comment()"/>
		<xsl:choose>
			<xsl:when test="my:myFields">
				<xsl:apply-templates select="my:myFields" mode="_0"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="var">
					<xsl:element name="my:myFields"/>
				</xsl:variable>
				<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_0"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="my:myFields" mode="_0">
		<xsl:copy>
			<xsl:element name="my:ReportsList">
				<xsl:copy-of select="my:ReportsList/text()[1]"/>
			</xsl:element>
			<xsl:element name="my:rptFormat">
				<xsl:choose>
					<xsl:when test="my:rptFormat">
						<xsl:copy-of select="my:rptFormat/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>PDF</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="my:comment">
				<xsl:apply-templates select="my:comment/text() | my:comment/*[namespace-uri()='http://www.w3.org/1999/xhtml']" mode="RichText"/>
			</xsl:element>
			<xsl:element name="my:RptSrv">
				<xsl:choose>
					<xsl:when test="my:RptSrv">
						<xsl:copy-of select="my:RptSrv/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>Localhost</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="my:RptInstance">
				<xsl:choose>
					<xsl:when test="my:RptInstance">
						<xsl:copy-of select="my:RptInstance/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>Symdev</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="my:Month">
				<xsl:copy-of select="my:Month/text()[1]"/>
			</xsl:element>
			<xsl:element name="my:Product">
				<xsl:copy-of select="my:Product/text()[1]"/>
			</xsl:element>
			<xsl:element name="my:signatures2">
				<xsl:copy-of select="my:signatures2[1]/*[namespace-uri() = 'http://www.w3.org/2000/09/xmldsig#']"/>
			</xsl:element>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>